skip to navigation
skip to content

pynsist 2.1

Build NSIS installers for Python applications.

Pynsist is a tool to build Windows installers for your Python applications. The installers bundle Python itself, so you can distribute your application to people who don’t have Python installed.

Pynsist 2 requires Python 3.5 or above. You can use Pynsist 1.x on Python 2.7 and Python 3.3 or above.

For more information, see the documentation and the examples.


  1. Get the tools. Install NSIS, and then install pynsist from PyPI by running pip install pynsist.

  2. Write a config file installer.cfg, like this:

    name=My App
    # How to launch the app - this calls the 'main' function from the 'myapp' package:
    # Packages from PyPI that your application requires, one per line
    # These must have wheels on PyPI:
    pypi_wheels = requests==2.18.4
    # To bundle packages which don't publish wheels, see the docs on the
    # config file.
    # Other files and folders that should be installed
    files = LICENSE
  3. Run pynsist installer.cfg to generate your installer. If pynsist isn’t found, you can use python -m nsist installer.cfg instead.

File Type Py Version Uploaded on Size
pynsist-2.1-py3-none-any.whl (md5) Python Wheel py3 2018-02-04 4MB
pynsist-2.1.tar.gz (md5) Source 2018-02-04 2MB